PublicApiListCampaigns
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaigns": [
{
"id": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"progress": 50,
"audience": {
"targetAudience": "<string>",
"industry": "<string>",
"geography": {
"country": "<string>",
"state": "<string>",
"city": "<string>"
}
},
"stopOnReply": true,
"handleOOO": true,
"sendWindow": {
"start": "<string>",
"end": "<string>",
"timezone": "<string>",
"activeDays": []
},
"startedAt": "2023-11-07T05:31:56Z",
"lastSendAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 4503599627370496,
"limit": 50,
"total": 4503599627370495,
"totalPages": 4503599627370495
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Campaigns
PublicApiListCampaigns
GET /api/v1/organizations//workspaces//campaigns
GET
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
campaigns
PublicApiListCampaigns
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaigns": [
{
"id": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"progress": 50,
"audience": {
"targetAudience": "<string>",
"industry": "<string>",
"geography": {
"country": "<string>",
"state": "<string>",
"city": "<string>"
}
},
"stopOnReply": true,
"handleOOO": true,
"sendWindow": {
"start": "<string>",
"end": "<string>",
"timezone": "<string>",
"activeDays": []
},
"startedAt": "2023-11-07T05:31:56Z",
"lastSendAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 4503599627370496,
"limit": 50,
"total": 4503599627370495,
"totalPages": 4503599627370495
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
FirstSales developer API key bearer token (fs-key-*).
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
draft, configuring, ready, active, paused, completed ⌘I